com.threerings.parlor.media

## Class ScoreAnimation

- java.lang.Object
- - com.threerings.media.AbstractMedia
  - - com.threerings.media.animation.Animation
    - - com.threerings.media.animation.FloatingTextAnimation
      - - com.threerings.parlor.media.ScoreAnimation

All Implemented Interfaces:
  Shape

    public class ScoreAnimation
    extends com.threerings.media.animation.FloatingTextAnimation

### Field Summary

### Fields inherited from class com.threerings.media.AbstractMedia

`HUD_LAYER`

### Constructor Summary

Constructors
Constructor and Description
`ScoreAnimation(Label label, int x, int y)` Constructs a score animation for the given score value centered at the given coordinates.
`ScoreAnimation(Label label, int sx, int sy, int destx, int desty, long floatPeriod)` Constructs a score animation for the given score value starting at the given coordinates and floating toward the specified coordinates.
`ScoreAnimation(Label label, int x, int y, long floatPeriod)` Constructs a score animation for the given score value centered at the given coordinates.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static Label` `createLabel(String score, Color c, Font font, Component host)` Create and configure a Label suitable for a ScoreAnimation with all the most common options.
`static Label` `createLabel(String score, Color c, Font font, com.threerings.media.MediaPanel host)` Deprecated. This signature is retained for backwards compatibility.

### Methods inherited from class com.threerings.media.animation.FloatingTextAnimation

`fastForward, flipDirection, getLabel, paint, setFloatPeriod, setLocation, tick`

### Methods inherited from class com.threerings.media.animation.Animation

`addAnimationObserver, isFinished, removeAnimationObserver, reset`

### Methods inherited from class com.threerings.media.AbstractMedia

`contains, contains, contains, contains, getBounds, getBounds2D, getPathIterator, getPathIterator, getRenderOrder, init, intersects, intersects, invalidate, queueNotification, renderCompareTo, setRenderOrder, toString, viewLocationDidChange`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScoreAnimation

    public ScoreAnimation(Label label,
                          int x,
                          int y)

Constructs a score animation for the given score value centered at the given coordinates.

#### ScoreAnimation

    public ScoreAnimation(Label label,
                          int x,
                          int y,
                          long floatPeriod)

Constructs a score animation for the given score value centered at the given coordinates. The animation will float up the screen for 30 pixels.

#### ScoreAnimation

    public ScoreAnimation(Label label,
                          int sx,
                          int sy,
                          int destx,
                          int desty,
                          long floatPeriod)

Constructs a score animation for the given score value starting at the given coordinates and floating toward the specified coordinates.

### Method Detail

#### createLabel

    @Deprecated
    public static Label createLabel(String score,
                                                Color c,
                                                Font font,
                                                com.threerings.media.MediaPanel host)

Deprecated. This signature is retained for backwards compatibility.
Create and configure a Label suitable for a ScoreAnimation with all the most common options.

#### createLabel

    public static Label createLabel(String score,
                                    Color c,
                                    Font font,
                                    Component host)

Create and configure a Label suitable for a ScoreAnimation with all the most common options.